alphabet = list("abcdefghijklmnopqrstuvwxyz")
alphabet_to_num = {}
for idx, ele in enumerate(alphabet):
    alphabet_to_num[ele] = idx
        
def cipher(txt, key):
    cip = ""
    for letter in txt:
        index = (alphabet_to_num[letter] + key) % 26
        cip += alphabet[index]
        
    return cip


def plain(text, key):
    """ Uncrypt text using Caesar cipher"""
    return cipher(text, -key)


s = cipher("python", 13)
print(s)
s = plain(s, 13)
print(s)
