residual = 1.0   
istep = 0
while residual > 1e-5:
    istep += 1
    residual = 0.0
    
    np.copyto(T_old, T)
    for i in range(1, Nx-1):
        for j in range(1, Ny-1):
            T[i, j] =  ((T_old[i+1, j] + T_old[i-1, j]) / dx**2 + (T_old[i, j+1] + T_old[i, j-1]) / dy**2 + 1) / (2 / dx**2 + 2 / dy**2)
            if T[i, j] > 0:
                residual = max(residual, abs((T_old[i, j] - T[i, j]) / T[i, j]))
                
print("iterations = ", istep)
