SetFactory("OpenCASCADE");
Rectangle(1) = {0, 0, 0, 1, 1, 0};
Circle(5) = {0.7, 0.7, 0, 0.15, 0, 2*Pi};
Circle(6) = {0.4, 0.3, 0, 0.25, 0, 2*Pi};
Circle(7) = {0.4, 0.7, 0, 0.05, 0, 2*Pi};

Line Loop(2) = {1, 2, 3, 4};
Line Loop(3) = {6};
Line Loop(4) = {7};
Line Loop(5) = {5};

Plane Surface(2) = {2, 3, 4, 5};

Transfinite Line {1, 2, 3, 4} = 15 Using Progression 1;
Transfinite Line {6} = 22 Using Progression 1;
Transfinite Line {5} = 12 Using Progression 1;
Transfinite Line {7} = 12 Using Progression 1;

Physical Line(1) = {1};
Physical Line(2) = {2};
Physical Line(3) = {3};
Physical Line(4) = {4};
Physical Line(5) = {6, 5, 7};

Physical Surface(1) = {2};
